コンテンツへスキップ

Hi3D 3D Part Splitter

統合

モデルID hitem3d/hi3d/split
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/split?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.40 400 APIクレジット · ≈ ₽42.19 このページで実行

APIキーを取得
Hitem3D 3D #3d-to-3d

3Dモデルを個別のパーツに分割し、ヒューマノイドテンプレートとジョイント、または汎用的な粒度に対応

Hitem3D · 3D

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

最大200 MBのGLB、STL、またはOBJファイルを指すURLで、分割対象モデルを指定します。

詳細設定 model · part · joint · level · export_format · enable_safety_checker
model デフォルト character

モデルの分割方法。任意のモデルを粒度ベースで分割する場合は 'general'、テンプレートベースの人型分割では 'character' を使用し、任意のジョイントを指定できます。

part デフォルト a

モデルが 'character' の場合の分割テンプレート。'a' は6パーツ、'b' は5、'c' は頭部なしの4、'd' は頭部ありの4、'e' は3、'f' は2パーツを生成します。

joint デフォルト ball

モデルが 'character' の場合にパーツ間へ挿入するジョイントの種類。

level デフォルト medium

モデルが 'general' の場合の分割粒度。

export_format デフォルト glb

生成モデルの出力形式。現時点では、キャラクター分割を使用する場合は 'glb' に限定されます。

POST /run/hitem3d/hi3d/split?wait=20 見積もり → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/split?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Hi3D 3D Part Splitterについて

モデル(GLB、STL、またはOBJ、最大200MB)をパーツに分割します。キャラクターモードでは、テンプレートa〜fにより6パーツから2パーツまで指定でき、パーツ間にボールジョイントまたはダブテールジョイントを追加できます。一般モードでは、`level`で低・中・高の粒度を設定します。キャラクター分割で現在エクスポートできるのはglbのみです。

パラメータ

名前型 デフォルト許可される値 説明
mesh_url必須
型string
最大200 MBのGLB、STL、またはOBJファイルを指すURLで、分割対象モデルを指定します。
model任意
型enum
デフォルトcharacter
charactergeneral
モデルの分割方法。任意のモデルを粒度ベースで分割する場合は 'general'、テンプレートベースの人型分割では 'character' を使用し、任意のジョイントを指定できます。
part任意
型enum
デフォルトa
abcdef
モデルが 'character' の場合の分割テンプレート。'a' は6パーツ、'b' は5、'c' は頭部なしの4、'd' は頭部ありの4、'e' は3、'f' は2パーツを生成します。
joint任意
型enum
デフォルトball
noneballdovetail
モデルが 'character' の場合にパーツ間へ挿入するジョイントの種類。
level任意
型enum
デフォルトmedium
lowmediumhigh
モデルが 'general' の場合の分割粒度。
export_format任意
型enum
デフォルトglb
glbobjstlfbxusdz
生成モデルの出力形式。現時点では、キャラクター分割を使用する場合は 'glb' に限定されます。
enable_safety_checker任意
型boolean
デフォルトtrue
trueの場合、処理前に入力の安全性チェックを有効にします。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/split",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
model_mesh
object {url, content_type, file_name, file_size}生成された3Dモデルを含むファイル。
thumbnail
object {url, content_type, file_name, file_size} | null利用可能な場合に提供されるモデルのプレビュー画像。

その他のモデル: 3D

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/hitem3d/hi3d/split.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt